%define upstream_name    Env-Sanctify
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lexically scoped sanctification of %ENV
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Env/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Env::Sanctify is a module that provides lexically scoped manipulation and
sanctification of '%ENV'.

You can specify that it alter or add additional environment variables or
remove existing ones according to a list of matching regexen.

You can then either 'restore' the environment back manually or let the
object fall out of scope, which automagically restores.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 537919
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 488042
- update to 1.10

* Sun Sep 08 2013 sander85 <sander85> 1.80.0-1.mga4
+ Revision: 476188
- update to 1.08

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 366882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.60.0-1.mga3
+ Revision: 254936
- update to 1.06

* Tue Jan 18 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 22395
- cleaning spec file
- imported package perl-Env-Sanctify

